/* 背景 */
body.modal-open {
  overflow: hidden;
}

/* モーダル本体を画面内に収める */
.modal {
  border: solid 1px #707070;
  padding: 20px 5%;
  width: 80%;
  background: var(--wh);
  max-height: 100%;
  overflow-y: auto;   /* 中身が多いときだけスクロール */
  border: solid 1px #707070;
  padding: 20px 5%;
  background: var(--wh);
  position: relative;
  max-width: 1620px;
}
    @media(max-width:768px){
      .modal {
        width: 100%;
        max-height: 100%;
        overflow-y: auto;
      }
    }


.overlay {
  position: fixed;
  inset: 0;
  background: var(--light-blue);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 1000;
  padding: 20px; /* 画面端に少し余白 */
}

.modal__item-wrap {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
  margin: 20px auto 0;
}
    /* タブレット以下 */
    @media (max-width: 1200px) {
      .modal__item-wrap {
        margin: 15px auto 0;
        width: 100%;
      }
    }
        /* スマホ */
        @media (max-width: 768px) {
          .modal__item-wrap {
            grid-template-columns: 1fr;
          }
        }




.modal .under__ttl {
  font-size: clamp(41px, 2.8645vw, 55px);
  white-space: nowrap;
  letter-spacing: 0.03em;
}
    @media(max-width:768px){
      .modal .under__ttl {
        font-size: 25px;
      }
    }
    
    
/* 画像 */
.modal-image {
  max-width: 100%;
  height: auto;
}

/* 閉じるボタン */
.modal .close-btn {
  position: absolute;
  top: 10px;
  right: 20px;
  border: solid 1px var(--blue);
  font-size: 27px;
  cursor: pointer;
  border-radius: 50%;
  color: var(--blue);
  font-weight: 400;
  background: transparent;
  width: clamp(36px, 2.917vw, 56px);
  height: clamp(36px, 2.917vw, 56px);
  padding: 0;
  line-height: 1;
  display: flex;
  align-items: center;
  justify-content: center;
}
    @media(max-width:768px){
      .modal .close-btn {
        top: 10px;
        right: 20px;
        font-size: 27px;
        width: 37px;
        height: 37px;
      }
    }

button#openModal {
  border: 1px solid var(--blue);
  background-color: transparent;
  color: var(--blue);
  text-align: center;
  transition: all 0.3s ease;
  text-decoration: none;
  font-family: var(--font-ja);
  font-weight: 700;
  display: grid;
  padding: 0;
  place-content: center;
  border-radius: var(--radius-50);
  width: 214px;
  height: 51px;
  font-size: var(--16);
  position: relative;
  margin: 0 auto 36px;
}
    @media(max-width:768px){
      li.u_service__item button#openModal {
        margin: 0 auto 30px;
        width: 184px;
        height: 35px;
      }
    }


button#openModal::before {
  position: absolute;
  content: "";
  border: solid 0.1px rgba(0, 0, 0, 0.3);
  width: 100%;
  height: 100%;
  right: -3px;
  top: 1px;
  z-index: 0;
  border-radius: 100px;
  filter: blur(2px);
}
button#openModal:hover {
  background: var(--blue);
  color: var(--wh);
  cursor: pointer;
}